from classlib.track import *

class Line(Track):

    def make_track(self):
        """
        This function sets essential parameters for the specific track
        element. It needs to be called once during initialization.
        """
        self.info= 'Straight line track element '+\
                   'Drag nodes to change length.'
        
        line={'shape':         ('line',{'offset':(0,0,0), 'length':50} ),
              'velocity_line': 30/3.6,
              'car_max':       8,
              'topo' :         (1,2),
              }
        
        self.element=[line]
        self.nodes_connect={1:'in', 2:'out'}
